// ThView.h : interface of the CThView class
//
/////////////////////////////////////////////////////////////////////////////

#include "bar.h"

class CThView : public CFormView
{
protected: // create from serialization only
	CThView();
	DECLARE_DYNCREATE(CThView)
	CArray<Bar*,Bar*> Bars;

	CDC memDC;
	CBitmap Area;
	CPen *OldPen, WhitePen, RedPen;
	CBrush* OldBrush, WhiteBrush, RedBrush;

public:
	//{{AFX_DATA(CThView)
	enum { IDD = IDD_TH_FORM };
	CStatic	m_Area;
	//}}AFX_DATA

// Attributes
public:
	CThDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CThView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo*);
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CThView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CThView)
	afx_msg void OnAddbar();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRemove();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ThView.cpp
inline CThDoc* CThView::GetDocument()
   { return (CThDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
